//Copyright (c) 1997 Aidan Cully
//All rights reserved

#ifndef __CONICCONTENT_H
#define __CONICCONTENT_H

#include "Conic.h"
#include "Angle.h"
#include "LTypes.h"
#include "CLLayout.h"
#include "CLReceiver.h"
#include "DocContent.h"
#include "CLPulsar.h"

class TConicContent:
	public TDocContent,
	public MPulsar
{
protected:
	p2d P3dT2d( p3d point, Rect drawRect );
	SInt8 DrawConic( TDrawSlate* );
	SInt8 DrawPlane( TDrawSlate* );
	SInt8 DrawAxis( TDrawSlate* );
	SInt8 DrawPlaneAxis( TDrawSlate* );
	float d, D, S;
	TConic *mConic;
	CursHandle mNormCurs, mShifCurs, mOptCurs;
	CursPtr mPresCurs;
	int mState;
	void HandleOptMouse();
	void HandleNormMouse( BOOLEAN );
	Boolean HandleMouseSelf( TMouseButtonEvent* );
	virtual void HandleMouseEnter();
	virtual void HandleMouseExit();
public:
	TConicContent( TLayoutBranch*, MActionHandler*, Boolean, TConic*, TPlane*, float, float );
	TAngle mTheta, mPhi;
	virtual void DrawSelf( TDrawSlate* );
	virtual void Pulse( const TEvent* );
};

#endif