//Copyright (c) 1997 Aidan Cully
//All rights reserved

#ifndef __DISMISSBUTTON_H
#define __DISMISSBUTTON_H

#include "CLControl.h"
#include "CLKeyboardListener.h"

class TDismissButton:
	public TControl,
	public MKeyboardListener
{
private:
	unsigned char *mString;
protected:
	virtual void TrackMouseDown( TMouseEvent* );
	virtual void TrackMouseChange( TMouseEvent*, Boolean );
	virtual void TrackMouseUp( TMouseEvent* );
	virtual void DrawSelf( TDrawSlate* );
public:
	TDismissButton( TLayoutBranch*, unsigned char* );
	virtual void AttachedToWindow( TBaseWindow*, Rect );
	virtual Rect GetLargestSize();
	virtual void RespondKeyboard( const TKeyEvent* );
};

#endif