//Copyright (c) 1997 Aidan Cully
//All rights reserved

#ifndef __DOCCONTENT_H
#define __DOCCONTENT_H

#include "CLLayout.h"
#include "CLActionHandler.h"
#include "Conic.h"
#include "CLReceiver.h"
#include "CLPicture.h"

class TDocContent:
	public TLayoutLeaf,
	public MActionHandler,
	public MReceiver
{
protected:
	void CopySelf();
	TPlane *mPlane;
	Boolean mHasDragDrop;
	Boolean HandleMouseSelf( TMouseButtonEvent* );
public:
	TDocContent( TLayoutBranch*, Boolean, MActionHandler*, TPlane* );
	virtual Boolean Init();
	virtual SInt8 HandleAction( UInt32 );
	virtual SInt8 MakeActive();
	virtual Boolean MakeActive( Boolean );
	virtual Rect GetLargestSize();
	virtual int ReceiveMessage( TMessage* );
	TPicture *GetPicture();
};

#endif