//Copyright (c) 1997 Aidan Cully
//All rights reserved

#ifndef __CONICMENUS_H
#define __CONICMENUS_H

enum {
	kControlWindowID=128,
	kConicWindowID=129,
	kPlotWindowID=132,
	kEquWindowID=131
};

#include "CLActionHandler.h"
#include "conic.h"
#include "CLBaseWindow.h"
#include "CLLayout.h"

#define m_APPLE 128
#define 	ma_ABOUT 1
#define m_FILE 129
#define 	mf_CLOSE 1
#define 	mf_QUIT 2
#define m_EDIT 130
#define 	me_COPY 1
#define m_WINDOW 131
#define 	mw_CONIC 1
#define 	mw_PLOT 2
#define 	mw_EQU 3
#define 	mw_CONTROL 4

class TConicHandler:
	public MActionHandler
{
protected:
	TConic mConic;
	TPlane mPlane;
	TBaseWindow *mConicWindow, *mPlotWindow, *mEquWindow, *mControlWindow;
	Boolean mHasDragDrop;
public:
	TConicHandler( Boolean, MActionHandler* );
	virtual ~TConicHandler();
	virtual SInt8 Init();
	virtual SInt8 HandleAction( UInt32 );
};

#endif