//Copyright (c) 1997 Brian and Aidan Cully
//All rights reserved

#include <math.h>
#include "LMath.h"
#include "angle.h"

TAngle::TAngle( float newAngle )
{
	SetAngle( newAngle );
}

void TAngle::SetAngle( float newAngle )
{
	mAngle = newAngle;
	mAngle = fmod( mAngle+360, 360 );
	mSinAngle = sin( mAngle*M_PI/180 );
	mCosAngle = cos( mAngle*M_PI/180 );
}