//Copyright (c) 1997 Aidan Cully
//All rights reserved

#include <Gestalt.h>
#include <TextUtils.h>
#include <Dialogs.h>
#include "ConicApp.h"
#include "MenuHandler.h"

BOOLEAN TConicApp::RunSelf()
{
	long response;
	Str255 string;

	Gestalt( gestaltSystemVersion, &response );
	if( response < 0x0700 ) {
		GetIndString( string, 128, 1 );
		ParamText( string, 0l, 0l, 0l );
		Alert( 129, 0l );
		return( 1 );
	}

	Gestalt( gestaltDragMgrAttr, &response );
	mConicHandler = new TConicHandler( response&1, 0l );
	mConicHandler->Init();
	return( true );
}

void TConicApp::QuitSelf()
{
	delete mConicHandler;
}