//Copyright (c) 1997 Aidan Cully
//All rights reserved

#include <math.h>
#include "ConicApp.h"
#include "LMath.h"

p3d rotpoint(p3d,float);

int main() {
	TConicApp app;

	app.EventLoop();
	return(0);
}

p3d rotpoint(p3d point,float deg) {
	p3d threepoint;
	float costh,sinth;

	sinth = sin(deg*M_PI/180);
	costh = cos(deg*M_PI/180);

	threepoint.x = point.x*costh - point.y*sinth;
	threepoint.y = point.x*sinth + point.y*costh;
	threepoint.z = point.z;

	return(threepoint);
}