//Copyright (c) 1997 Aidan Cully
//All rights reserved

#ifndef __DRAWCONTENT_H
#define __DRAWCONTENT_H

#include "CLLayout.h"
#include "Conic.h"
#include "CLReceiver.h"
#include "DocContent.h"

class TEquContent:
	public TDocContent
{
protected:
	virtual SInt8 DXDivY( int, int, unsigned char*, unsigned char* );
	virtual void DrawSelf( TDrawSlate* );
public:
	TEquContent( TLayoutBranch*, MActionHandler*, Boolean, TPlane* );
};

class TPlotContent:
	public TDocContent
{
protected:
	virtual SInt8 DrawAxis( TDrawSlate* );
	virtual SInt8 DrawIntersect( TDrawSlate* );
	TConic *mConic;
public:
	TPlotContent( TLayoutBranch*, MActionHandler*, Boolean, TConic*, TPlane* );
	virtual void DrawSelf( TDrawSlate* );
};

#endif