//Copyright (c) 1997 Aidan Cully
//All rights reserved

#include "AboutContent.h"
#include "ScrollTextBox.h"
#include "DismissButton.h"
#include "CLOutline.h"

TAboutContent::TAboutContent( TLayoutBranch *super ):
	TLayoutBranch( super )
{
}

void TAboutContent::BuildChildren()
{
	TLayoutLeaf *ch;
	Rect contRect= mContentRect;

	contRect.bottom-= 30;
	ch= new TScrollStyleBox( this, 128 );
	ch->Init();
	AddChild( ch, contRect, 0 );
	contRect.top= contRect.bottom+5;
	contRect.bottom+= 30;
	contRect.right-= 15;
	contRect.left= contRect.right-50;
	ch= new TDismissButton( this, "\pOK" );
	ch->Init();
	ch= new TOutline( this, ch );
	ch->Init();
	AddChild( ch, contRect, 0 );
}

void TAboutContent::CalcMouseMove( Point pt, RgnHandle rgn )
{
	TLayoutBranch::CalcMouseMove( pt, rgn );
}